"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getClientGraphQL = getClientGraphQL;

var _apolloClient = require("apollo-client");

var _apolloLinkHttp = require("apollo-link-http");

var _apolloCacheInmemory = require("apollo-cache-inmemory");

var _apolloLinkContext = require("apollo-link-context");

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let clientGQL;

function getClientGraphQL() {
  if (clientGQL) {
    return clientGQL;
  }

  const httpLink = new _apolloLinkHttp.HttpLink({
    uri: 'https://api.github.com/graphql',
    fetch: _nodeFetch.default
  });
  const authLink = (0, _apolloLinkContext.setContext)((_, {
    headers
  }) => {
    const token = process.env.GITHUB_TOKEN;
    return {
      headers: { ...headers,
        authorization: token ? `token ${token}` : null
      }
    };
  });
  clientGQL = new _apolloClient.ApolloClient({
    link: authLink.concat(httpLink),
    cache: new _apolloCacheInmemory.InMemoryCache()
  });
  return clientGQL;
}