"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getRepoLabels = getRepoLabels;
exports.createReleaseLabel = createReleaseLabel;
exports.assignReleaseLabel = assignReleaseLabel;

var _lodash = _interopRequireDefault(require("lodash"));

var _restClient = require("@shelf/gh-sdk/lib/rest-client");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function getRepoLabels({
  org,
  repo
}) {
  const gh = (0, _restClient.getClient)();
  const {
    data
  } = await gh.issues.listLabelsForRepo({
    owner: org,
    repo,
    per_page: 100
  });
  return _lodash.default.map(data, 'name');
}

async function createReleaseLabel({
  org,
  repo
}) {
  const gh = (0, _restClient.getClient)();
  const {
    data
  } = await gh.issues.createLabel({
    owner: org,
    repo,
    name: 'release',
    color: 'ff0000'
  });
  return data;
}

async function assignReleaseLabel({
  org,
  repo,
  pr
}) {
  const gh = (0, _restClient.getClient)();
  const {
    data
  } = await gh.issues.addLabels({
    owner: org,
    repo,
    labels: ['release'],
    number: pr
  });
  return data;
}