"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.publishDraftRelease = publishDraftRelease;
exports.mergePR = mergePR;
exports.deleteBranch = deleteBranch;

var _path = _interopRequireDefault(require("path"));

var _debug = _interopRequireDefault(require("debug"));

var _restClient = require("@shelf/gh-sdk/lib/rest-client");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const debug = (0, _debug.default)(`gh-shipit:${_path.default.basename(__filename)}`);

async function publishDraftRelease({
  org,
  repo,
  releaseId
}) {
  const gh = (0, _restClient.getClient)();
  const {
    data
  } = await gh.repos.updateRelease({
    owner: org,
    repo,
    release_id: releaseId,
    draft: false
  });
  return data;
}

async function mergePR({
  org,
  repo,
  number
}) {
  const gh = (0, _restClient.getClient)();
  const {
    data
  } = await gh.pullRequests.merge({
    owner: org,
    repo,
    number
  });
  return data;
}

async function deleteBranch({
  org,
  repo,
  name
}) {
  const gh = (0, _restClient.getClient)();

  try {
    const {
      data
    } = await gh.gitdata.deleteRef({
      owner: org,
      repo,
      ref: `heads/${name}`
    });
    return data;
  } catch (error) {
    debug(`Error deleting branch, possibly branch auto-delete feature is enabled in the repo settings`, error);
  }
}